# EVENTS

# EVENT DETECTOR

execute as @a at @s unless entity @s[scores={afk=1}] run scoreboard players add @s event_tick 1
execute as @a at @s if score @s event_tick >= @s event_cooldown store result score @s event_tick run loot spawn ~ ~ ~ loot one_chest:events/event_chance
execute as @a at @s if entity @e[type=item,distance=..1,nbt={Item:{id:"minecraft:wooden_axe",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add event
kill @e[type=item,nbt={Item:{id:"minecraft:wooden_axe",Count:1b,tag:{events:1}}}]

# EVENT SELECT

execute as @a[tag=event] at @s run summon armor_stand ~ ~ ~ {Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,NoBasePlate:1b,PersistenceRequired:1b,Tags:["event","start"]}
tag @a remove event
execute as @e[type=armor_stand,tag=event,tag=start] at @s store result score @s event_tick run loot spawn ~ ~ ~ loot one_chest:events/event_select

# BAD EVENTS

execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:crossbow",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add pillager_ambush
execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:gold_ingot",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add piglin_attack
execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:phantom_membrane",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add phantom_attack
execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:blaze_rod",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add nether_invasion
execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:poisonous_potato",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add plague
execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:rabbit_hide",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add bad_luck
execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:ender_pearl",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add end_invasion
execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:rotten_flesh",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add undead_seige

# GOOD EVENTS

execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:lead",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add good_trader
execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:chest",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add short_cooldown
execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:enchanted_golden_apple",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add blessing
execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:bell",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add villager_refuge
execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:rabbit_foot",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add good_luck
execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:iron_hoe",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add fertile

kill @e[type=item,nbt={Item:{Count:1b,tag:{events:1}}}]

# EVENT DIFFICULTY

execute as @e[type=armor_stand,tag=event,tag=start] at @s store result score @s event_tick run loot spawn ~ ~ ~ loot one_chest:events/event_difficulty

execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:wooden_sword",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add easy
execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:iron_sword",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add medium
execute as @e[type=armor_stand,tag=event,tag=start] at @s if entity @e[type=item,distance=..5,nbt={Item:{id:"minecraft:netherite_sword",Count:1b,tag:{events:1}}}] if score @s event_tick matches 1 run tag @s add hard

execute as @e[type=armor_stand,tag=event,tag=start,tag=medium] at @s if entity @p[scores={difficulty=..1}] run tag @s add easy
execute as @e[type=armor_stand,tag=event,tag=start,tag=hard] at @s if entity @p[scores={difficulty=..2}] run tag @s add easy
execute as @e[type=armor_stand,tag=event,tag=start,tag=medium,tag=easy] at @s run tag @s remove medium
execute as @e[type=armor_stand,tag=event,tag=start,tag=hard,tag=easy] at @s run tag @s remove hard

kill @e[type=item,nbt={Item:{Count:1b,tag:{events:1}}}]

# START EVENT

tag @e[tag=start] remove start

# BAD

execute as @e[type=armor_stand,tag=pillager_ambush] at @s run function one_chest:events/pillager_ambush
execute as @e[type=armor_stand,tag=piglin_attack] at @s run function one_chest:events/piglin_attack
execute as @e[type=armor_stand,tag=phantom_attack] at @s run function one_chest:events/phantom_attack
execute as @e[type=armor_stand,tag=nether_invasion] at @s run function one_chest:events/nether_invasion
execute as @e[type=armor_stand,tag=plague] at @s run function one_chest:events/plague
execute as @e[type=armor_stand,tag=bad_luck] at @s run function one_chest:events/bad_luck
execute as @e[type=armor_stand,tag=end_invasion] at @s run function one_chest:events/end_invasion
execute as @e[type=armor_stand,tag=undead_seige] at @s run function one_chest:events/undead_seige

# GOOD

execute as @e[type=armor_stand,tag=good_trader] at @s run function one_chest:events/good_trader
execute as @e[type=armor_stand,tag=short_cooldown] at @s run function one_chest:events/short_cooldown
execute as @e[type=armor_stand,tag=blessing] at @s run function one_chest:events/blessing
execute as @e[type=armor_stand,tag=villager_refuge] at @s run function one_chest:events/villager_refuge
execute as @e[type=armor_stand,tag=good_luck] at @s run function one_chest:events/good_luck
execute as @e[type=armor_stand,tag=fertile] at @s run function one_chest:events/fertile

# MANAGE

function one_chest:events/manager