# ALLOW TRIGGER

execute as @a at @s run scoreboard players enable @s settings
execute as @a at @s run scoreboard players enable @s event_cooldown
execute as @a at @s run scoreboard players enable @s difficulty
execute as @a at @s run scoreboard players enable @s afk

# DETECT SETTINGS

execute as @a at @s if entity @s[scores={settings=1..}] run tag @s add settings
execute as @a at @s if entity @s[scores={settings=1..}] run scoreboard players set @s settings 0

# DISPLAY SETTINGS

execute as @a[tag=settings] at @s run tellraw @s {"text":" "}

execute as @a[tag=settings] at @s run tellraw @s {"text":"Player Settings","color":"gold","bold":true}

execute as @a[tag=settings] at @s run tellraw @s {"text":" "}

execute as @a[tag=settings] at @s run tellraw @s [{"text":"Max Event Difficulty Level : ","color":"gold","bold":true},{"text":"Currently ","color":"reset","bold":false},{"score":{"name":"*","objective":"difficulty"},"color":"reset","bold":false},{"text":" (The Maximum difficulty level for events)","color":"reset","bold":false}]

execute as @a[tag=settings] at @s run tellraw @s {"text":"Default is Medium","color":"dark_gray","bold":false}

execute as @a[tag=settings] at @s run tellraw @s {"text":" "}

execute as @a[tag=settings] at @s run tellraw @s [{"text":"Set to 1","color":"dark_green","bold":true,"hoverEvent":{"action":"show_text","contents":[{"text":"Sets Max Event Difficulty to Easy"}]},"clickEvent":{"action":"run_command","value":"/trigger difficulty set 1"}},{"text":" (Only Easy)","color":"reset","bold":false}]
execute as @a[tag=settings] at @s run tellraw @s [{"text":"Set to 2","color":"gold","bold":true,"hoverEvent":{"action":"show_text","contents":[{"text":"Sets Max Event Difficulty to Medium"}]},"clickEvent":{"action":"run_command","value":"/trigger difficulty set 2"}},{"text":" (Easy and Medium)","color":"reset","bold":false}]
execute as @a[tag=settings] at @s run tellraw @s [{"text":"Set to 3","color":"dark_red","bold":true,"hoverEvent":{"action":"show_text","contents":[{"text":"Sets Max Event Difficulty to Hard"}]},"clickEvent":{"action":"run_command","value":"/trigger difficulty set 3"}},{"text":" (Easy through Hard)","color":"reset","bold":false}]

execute as @a[tag=settings] at @s run tellraw @s {"text":" "}

execute as @a[tag=settings] at @s run tellraw @s [{"text":"Min Event Cooldown : ","color":"gold","bold":true},{"text":"Currently ","color":"reset","bold":false},{"score":{"name":"*","objective":"event_display"},"color":"reset","bold":false},{"text":" Minutes. (The Minimum length of time between events)","color":"reset","bold":false}]

execute as @a[tag=settings] at @s run tellraw @s {"text":"Default is 15 Minutes","color":"dark_gray","bold":false}

execute as @a[tag=settings] at @s run tellraw @s {"text":" "}

execute as @a[tag=settings] at @s run tellraw @s [{"text":"Increase by 1 Minute","color":"yellow","bold":true,"hoverEvent":{"action":"show_text","contents":[{"text":"Increases the minimum time between events by 1 minute"}]},"clickEvent":{"action":"run_command","value":"/trigger event_cooldown add 1200"}}]
execute as @a[tag=settings] at @s run tellraw @s [{"text":"Increase by 3 Minutes","color":"yellow","bold":true,"hoverEvent":{"action":"show_text","contents":[{"text":"Increases the minimum time between events by 3 minutes"}]},"clickEvent":{"action":"run_command","value":"/trigger event_cooldown add 3600"}}]
execute as @a[tag=settings] at @s run tellraw @s [{"text":"Increase by 5 Minutes","color":"yellow","bold":true,"hoverEvent":{"action":"show_text","contents":[{"text":"Increases the minimum time between events by 5 minutes"}]},"clickEvent":{"action":"run_command","value":"/trigger event_cooldown add 6000"}}]
execute as @a[tag=settings] at @s run tellraw @s [{"text":"Increase by 10 Minutes","color":"yellow","bold":true,"hoverEvent":{"action":"show_text","contents":[{"text":"Increases the minimum time between events by 10 minutes"}]},"clickEvent":{"action":"run_command","value":"/trigger event_cooldown add 12000"}}]

execute as @a[tag=settings] at @s run tellraw @s {"text":" "}

execute as @a[tag=settings] at @s run tellraw @s [{"text":"Decrease by 1 Minute","color":"red","bold":true,"hoverEvent":{"action":"show_text","contents":[{"text":"Decreases the minimum time between events by 1 minute"}]},"clickEvent":{"action":"run_command","value":"/trigger event_cooldown add -1200"}}]
execute as @a[tag=settings] at @s run tellraw @s [{"text":"Decrease by 3 Minutes","color":"red","bold":true,"hoverEvent":{"action":"show_text","contents":[{"text":"Decreases the minimum time between events by 3 minutes"}]},"clickEvent":{"action":"run_command","value":"/trigger event_cooldown add -3600"}}]
execute as @a[tag=settings] at @s run tellraw @s [{"text":"Decrease by 5 Minutes","color":"red","bold":true,"hoverEvent":{"action":"show_text","contents":[{"text":"Decreases the minimum time between events by 5 minutes"}]},"clickEvent":{"action":"run_command","value":"/trigger event_cooldown add -6000"}}]
execute as @a[tag=settings] at @s run tellraw @s [{"text":"Decrease by 10 Minutes","color":"red","bold":true,"hoverEvent":{"action":"show_text","contents":[{"text":"Decreases the minimum time between events by 10 minutes"}]},"clickEvent":{"action":"run_command","value":"/trigger event_cooldown add -12000"}}]

execute as @a[tag=settings] at @s run tellraw @s {"text":" "}

execute as @a[tag=settings] at @s if entity @s[scores={afk=0}] run tellraw @s [{"text":"Turn On AFK Mode","color":"green","bold":true,"clickEvent":{"action":"run_command","value":"/trigger afk set 1"}}]
execute as @a[tag=settings] at @s if entity @s[scores={afk=1}] run tellraw @s [{"text":"Turn Off AFK Mode","color":"red","bold":true,"clickEvent":{"action":"run_command","value":"/trigger afk set 0"}}]

# SET MAX AND MIN

execute as @a at @s if entity @s[scores={event_cooldown=..0}] run scoreboard players set @s event_cooldown 1200
execute as @a at @s if entity @s[scores={difficulty=..1}] run scoreboard players set @s difficulty 1
execute as @a at @s if entity @s[scores={difficulty=3..}] run scoreboard players set @s difficulty 3
execute as @a at @s if entity @s[scores={afk=..0}] run scoreboard players set @s afk 0
execute as @a at @s if entity @s[scores={afk=1..}] run scoreboard players set @s afk 1

# RESET

tag @a remove settings