# NOTIFY PLAYER

execute as @e[type=armor_stand,tag=blessing,tag=!started] at @a run playsound minecraft:block.note_block.bell master @a ~ ~ ~ 1 0
execute as @e[type=armor_stand,tag=blessing,tag=!started] at @s unless entity @e[distance=..256,tag=blessing,tag=started] run tellraw @a[distance=..256] {"text":"An Event is Occuring","color":"gold","bold":true}
execute as @e[type=armor_stand,tag=blessing,tag=!started] at @s unless entity @e[distance=..256,tag=blessing,tag=started] run tellraw @a[distance=..256] {"text":"A Blessing has Begun!","color":"dark_green","bold":true}
execute as @e[type=armor_stand,tag=blessing,tag=!started] at @s if entity @e[distance=..256,tag=blessing,tag=started] run tellraw @a[distance=..256] {"text":"The Blessing has Spread!","color":"dark_green","bold":true}

# START

execute as @e[type=armor_stand,tag=blessing,tag=!started] at @s store result score @s event_tick run time query daytime
execute as @e[type=armor_stand,tag=blessing,tag=!started] at @s run scoreboard players set @s cooldown -1
execute as @e[type=armor_stand,tag=blessing,tag=!started] at @s run scoreboard players operation @s event_tick *= cooldown

execute as @e[type=armor_stand,tag=blessing,tag=!started] at @s run tag @e[distance=..256,limit=1,sort=nearest,type=!player,type=!#one_chest:plague_immune] add blessed
execute as @e[type=armor_stand,tag=blessing,tag=!started] at @s run tag @e[distance=..256,limit=3,sort=random,type=!#one_chest:plague_immune] add blessed

execute as @e[type=armor_stand,tag=blessing,tag=!started] at @s run scoreboard players set @s cooldown 1
execute as @e[type=armor_stand,tag=blessing,tag=!started] at @s run tag @s add started

# EVENT

execute as @e[type=armor_stand,tag=blessing] at @e[tag=blessed,distance=..256] run tag @e[distance=..1.5,type=!#one_chest:plague_immune,tag=!blessed,limit=1] add blessed

execute as @e[tag=blessed] at @s run particle dust 0.071 0.969 1.000 1 ~ ~0.25 ~ 0.15 0.25 0.15 0.1 1 normal

execute as @e[tag=blessed] at @s run effect clear @s slowness
execute as @e[tag=blessed] at @s run effect clear @s mining_fatigue
execute as @e[tag=blessed] at @s run effect clear @s weakness
execute as @e[tag=blessed] at @s run effect clear @s poison
execute as @e[tag=blessed] at @s run effect clear @s hunger

execute as @e[tag=blessed] at @s run effect give @s speed 1 0 true
execute as @e[tag=blessed] at @s run effect give @s haste 1 1 true
execute as @e[tag=blessed] at @s run effect give @s strength 1 0 true
execute as @e[tag=blessed] at @s if score @e[type=armor_stand,tag=blessing,sort=nearest,limit=1] cooldown matches 1..20 run effect give @s regeneration 1 0 true
execute as @e[tag=blessed] at @s run tag @s remove infected

execute as @e[type=armor_stand,tag=blessing] at @s run scoreboard players add @s event_tick 1
execute as @e[type=armor_stand,tag=blessing] at @s run scoreboard players add @s cooldown 1
execute as @e[type=armor_stand,tag=blessing] at @s if score @s cooldown matches 21 run scoreboard players set @s cooldown 1

# END EVENT

execute as @e[type=armor_stand,tag=blessing] at @s if score @s event_tick matches 12000 run tag @s add finished
execute as @e[type=armor_stand,tag=blessing,tag=finished] at @s run tag @e[distance=..256,tag=blessed] remove blessed

execute as @e[type=armor_stand,tag=blessing,tag=finished] at @s unless entity @e[distance=..256,tag=blessing,tag=started,tag=!finished] run tellraw @a[distance=..256] {"text":"The Blessing has Ended!","color":"dark_red","bold":true}
execute as @e[type=armor_stand,tag=blessing,tag=finished] at @s if entity @e[distance=..256,tag=blessing,tag=started,tag=!finished] run tellraw @a[distance=..256] {"text":"The Blessing has Shrunken!","color":"dark_red","bold":true}

execute as @e[type=armor_stand,tag=blessing,tag=finished] at @s run kill @s