# NOTIFY PLAYER

execute as @e[type=armor_stand,tag=plague,tag=!started] at @a run playsound block.bell.resonate master @a ~ ~ ~ 1 0.5
execute as @e[type=armor_stand,tag=plague,tag=!started,tag=easy] at @s unless entity @e[distance=..256,tag=plague,tag=started] run tellraw @a[distance=..256] {"text":"An Easy Event is Occuring","color":"gold","bold":true}
execute as @e[type=armor_stand,tag=plague,tag=!started,tag=medium] at @s unless entity @e[distance=..256,tag=plague,tag=started] run tellraw @a[distance=..256] {"text":"An Event is Occuring","color":"gold","bold":true}
execute as @e[type=armor_stand,tag=plague,tag=!started,tag=hard] at @s unless entity @e[distance=..256,tag=plague,tag=started] run tellraw @a[distance=..256] {"text":"A Hard Event is Occuring","color":"gold","bold":true}
execute as @e[type=armor_stand,tag=plague,tag=!started] at @s unless entity @e[distance=..256,tag=plague,tag=started] run tellraw @a[distance=..256] {"text":"A Plague has Begun!","color":"dark_red","bold":true}
execute as @e[type=armor_stand,tag=plague,tag=!started] at @s if entity @e[distance=..256,tag=plague,tag=started] run tellraw @a[distance=..256] {"text":"The Plague has Spread!","color":"dark_red","bold":true}

# START

execute as @e[type=armor_stand,tag=plague,tag=!started] at @s store result score @s event_tick run time query daytime
execute as @e[type=armor_stand,tag=plague,tag=!started] at @s run scoreboard players set @s cooldown -1
execute as @e[type=armor_stand,tag=plague,tag=!started] at @s run scoreboard players operation @s event_tick *= @s cooldown

# FIRST INFECTED

execute as @e[type=armor_stand,tag=plague,tag=!started,tag=easy] at @s run tag @e[distance=..256,limit=2,sort=random,type=!#one_chest:plague_immune] add infected_easy

execute as @e[type=armor_stand,tag=plague,tag=!started,tag=medium] at @s run tag @e[distance=..256,limit=1,sort=nearest,type=!player,type=!#one_chest:plague_immune] add infected
execute as @e[type=armor_stand,tag=plague,tag=!started,tag=medium] at @s run tag @e[distance=..256,limit=3,sort=random,type=!#one_chest:plague_immune] add infected

execute as @e[type=armor_stand,tag=plague,tag=!started,tag=hard] at @s run tag @e[distance=..256,limit=2,sort=nearest,type=!player,type=!#one_chest:plague_immune] add infected_hard
execute as @e[type=armor_stand,tag=plague,tag=!started,tag=hard] at @s run tag @e[distance=..256,limit=5,sort=random,type=!#one_chest:plague_immune] add infected_hard

execute as @e[type=armor_stand,tag=plague,tag=!started] at @s run scoreboard players set @s cooldown 1
execute as @e[type=armor_stand,tag=plague,tag=!started] at @s run tag @s add started

# EVENT

# INFECTION RANGE

execute as @e[type=armor_stand,tag=plague,tag=easy] at @e[tag=infected,distance=..256] run tag @e[distance=..0.5,type=!#one_chest:plague_immune,tag=!infected_easy,limit=1] add infected_easy
execute as @e[type=armor_stand,tag=plague,tag=easy] at @e[tag=infected,distance=..256] if score @s cooldown matches 20 run tag @e[distance=..1,type=!#one_chest:plague_immune,tag=!infected,limit=1] add infected_easy

execute as @e[type=armor_stand,tag=plague,tag=medium] at @e[tag=infected,distance=..256] run tag @e[distance=..1,type=!#one_chest:plague_immune,tag=!infected,limit=1] add infected
execute as @e[type=armor_stand,tag=plague,tag=medium] at @e[tag=infected,distance=..256] if score @s cooldown matches 20 run tag @e[distance=..2.5,type=!#one_chest:plague_immune,tag=!infected,limit=1] add infected

execute as @e[type=armor_stand,tag=plague,tag=hard] at @e[tag=infected,distance=..256] run tag @e[distance=..1.5,type=!#one_chest:plague_immune,tag=!infected_hard,limit=1] add infected_hard
execute as @e[type=armor_stand,tag=plague,tag=hard] at @e[tag=infected,distance=..256] if score @s cooldown matches 20 run tag @e[distance=..5,type=!#one_chest:plague_immune,tag=!infected_hard,limit=1] add infected_hard

# PLAGUE OVERRIDE

execute as @e[tag=infected_hard] at @s run tag remove @s infected
execute as @e[tag=infected_hard] at @s run tag remove @s infected_easy
execute as @e[tag=infected] at @s run tag remove @s infected_easy

# PARTICLES

execute as @e[tag=infected_easy] at @s run particle dust 0.500 0.500 0.500 1 ~ ~ ~ 0.15 0.5 0.15 0.1 1 normal
execute as @e[tag=infected] at @s run particle dust 0.200 0.200 0.200 1 ~ ~ ~ 0.1 0.25 0.1 0.1 1 normal
execute as @e[tag=infected_hard] at @s run particle dust 0.000 0.000 0.000 1 ~ ~ ~ 0.05 0.15 0.05 0.1 1 normal

# PLAGUE EFFECTS

execute as @e[tag=infected_easy] at @s run effect give @s slowness 1 1 true
execute as @e[tag=infected_easy] at @s run effect give @s weakness 1 0 true
execute as @e[tag=infected_easy] at @s if score @e[type=armor_stand,tag=plague,sort=nearest,limit=1] cooldown matches 20 run effect give @s hunger 2 0 true

execute as @e[tag=infected] at @s run effect give @s slowness 1 1 true
execute as @e[tag=infected] at @s run effect give @s weakness 1 0 true
execute as @e[tag=infected] at @s if score @e[type=armor_stand,tag=plague,sort=nearest,limit=1] cooldown matches 20 run effect give @s poison 2 0 true
execute as @e[tag=infected] at @s if score @e[type=armor_stand,tag=plague,sort=nearest,limit=1] cooldown matches 20 run effect give @s hunger 2 0 true

execute as @e[tag=infected_hard] at @s run effect give @s slowness 1 2 true
execute as @e[tag=infected_hard] at @s run effect give @s weakness 1 1 true
execute as @e[tag=infected_hard] at @s run effect give @s mining_fatigue 1 0 true
execute as @e[tag=infected_hard] at @s if score @e[type=armor_stand,tag=plague,sort=nearest,limit=1] cooldown matches 20 run effect give @s wither 2 0 true
execute as @e[tag=infected_hard] at @s if score @e[type=armor_stand,tag=plague,sort=nearest,limit=1] cooldown matches 20 run effect give @s hunger 2 1 true

# SURGE COUNTDOWN

execute as @e[type=armor_stand,tag=plague] at @s run scoreboard players add @s event_tick 1
execute as @e[type=armor_stand,tag=plague] at @s run scoreboard players add @s cooldown 1
execute as @e[type=armor_stand,tag=plague] at @s if score @s cooldown matches 25 run scoreboard players set @s cooldown 1

# RECOVERY COUNTDOWN

execute as @e[tag=infected_easy] at @s run scoreboard players add @s plague_tick 1
execute as @e[tag=infected] at @s run scoreboard players add @s plague_tick 1
execute as @e[tag=infected_hard] at @s run scoreboard players add @s plague_tick 1

execute as @e[tag=infected_easy] if score @s plague_tick matches 300 at @s run scoreboard players set @s plague_tick -1
execute as @e[tag=infected] if score @s plague_tick matches 900 at @s run scoreboard players set @s plague_tick -1
execute as @e[tag=infected_hard] if score @s plague_tick matches 2400 at @s run scoreboard players set @s plague_tick -1

execute as @e[tag=infected_easy] if score @s plague_tick matches -1 at @s run tag @s remove infected_easy
execute as @e[tag=infected] if score @s plague_tick matches -1 at @s run tag @s remove infected
execute as @e[tag=infected_hard] if score @s plague_tick matches -1 at @s run tag @s remove infected_hard

execute as @e[tag=infected_easy] if predicate one_chest:plague_cure at @s run tag @s remove infected_easy
execute as @e[tag=infected] if predicate one_chest:plague_cure at @s run tag @s remove infected
execute as @e[tag=infected_hard] if predicate one_chest:plague_cure at @s run tag @s remove infected_hard

# END EVENT

execute as @e[type=armor_stand,tag=plague] at @s if score @s event_tick matches 6000 run tag @s add finished
execute as @e[type=armor_stand,tag=plague,tag=easy] at @s unless entity @e[distance=..256,tag=infected_easy] run tag @s add finished
execute as @e[type=armor_stand,tag=plague,tag=medium] at @s unless entity @e[distance=..256,tag=infected] run tag @s add finished
execute as @e[type=armor_stand,tag=plague,tag=hard] at @s unless entity @e[distance=..256,tag=infected_hard] run tag @s add finished

execute as @e[type=armor_stand,tag=plague,tag=finished] at @s if entity @e[distance=..256,tag=plague,tag=started,tag=!finished] run tellraw @a[distance=..256] {"text":"The Plague has Shrunken!","color":"dark_green","bold":true}
execute as @e[type=armor_stand,tag=plague,tag=finished,tag=easy] at @s unless entity @e[distance=..256,tag=infected_easy] run tellraw @a[distance=..256] {"text":"The Plague has been Eradicated!","color":"dark_green","bold":true}
execute as @e[type=armor_stand,tag=plague,tag=finished,tag=medium] at @s unless entity @e[distance=..256,tag=infected] run tellraw @a[distance=..256] {"text":"The Plague has been Eradicated!","color":"dark_green","bold":true}
execute as @e[type=armor_stand,tag=plague,tag=finished,tag=hard] at @s unless entity @e[distance=..256,tag=infected_hard] run tellraw @a[distance=..256] {"text":"The Plague has been Eradicated!","color":"dark_green","bold":true}

execute as @e[type=armor_stand,tag=plague,tag=finished] at @s run tag @e[distance=..256] remove infected_easy
execute as @e[type=armor_stand,tag=plague,tag=finished] at @s run tag @e[distance=..256] remove infected
execute as @e[type=armor_stand,tag=plague,tag=finished] at @s run tag @e[distance=..256] remove infected_hard

execute as @e[type=armor_stand,tag=plague,tag=finished] at @s run kill @s